Subject: Fwd: Accounts Filed & Invoice
From: Accounting <[email-masked]>
To: David Winter <[email-masked]>
Date: Mon, 03 Mar 2025 09:02:04 +0000

Good morning David,

The accounts for the period ending 31 Mar 2024 have not been filed to 
Companies House. Can you follow the instructions below and send to 
Companies House asap?

Thank you

---
Gerald
Association of International Accountants
www.venusia.co.uk [1]
Mob: 07810 018 274

-------- Original Message --------

  		SUBJECT:
  		Accounts Filed & Invoice

  		DATE:
  		14/08/2024 15:49

  		FROM:
  		Accounting <[email-masked]>

  		TO:
  		David Winter <[email-masked]>

Hi David,

I have filed the accounts for the CIC to HMRC. The PDF files are just 
for your information. However, the accounts to Companies House must be 
submitted by post (Both Word documents).

I have attached the accounts and the CIC 34 form:

ACCOUNTS: (Word document)

  	* Print attachment "TROM Computers CIC Companies House Accounts 31 Mar 
2024
  	* Page 1 - 5: Put initials and signature of the director at the bottom 
right of all the pages
  	* Page 4: David to sign and date bottom left
  	* Page 4: Put initials and signature of the director next to the 
accounts
  	* Page 5: Put initials and signature of the director next to 2023 
toward the bottom of the page

CIC34 Form: (Word document)

  	* Print Attachment "TROM Computers CIC form CIC34 short version"
  	* The file is already populated (Please let me know if you wanted to 
write something else instead)
  	* Page 5: David to sign and date (Just sign, no need to write your 
name)
  	* Write a cheque of £15 payable to "Companies House"

Send the accounts duly signed, the CIC34 form and the cheque to the 
following address:

COMPANIES HOUSE, CROWN WAY, CARDIFF, CF14 3UZ, DX 33050 CARDIFF

I have also attached my invoice.

Please let me know if you need further information.

-- 
Gerald
Association of International Accountants
www.venusia.co.uk [1]
Mob: 07810 018 274

Links:
------
[1] http://www.venusia.co.uk